<template>
  <div class="flex flex-col gap-4">
    <div
      class="flex flex-col gap-4 border-2 rounded-lg p-5 border-black"
      id="filter"
    >
      <p class="text-2xl border-black border-b-2 border-opacity-100"># Svn Dialog Skeleton</p>

      <div class="flex gap-4 items-center">
        <svn-dialog-skeleton
            icon="ph:globe-bold"
            :vertical="false"
            title="Dialog title"
            subtitle="Dialog subtitle"
            description="Lorem ipsum dolor sit amet consectetur. Quis aliquet eget id quis lectus pellentesque. Porttitor."
            secondary-button-text="Button"
            primary-button-text="Button"
            dialog-custom-class="w-[400px]"
          >
            <template #input>
              <v-select
                variant="outlined"
                density="compact"
                placeholder="Input"
                hide-details
              />
            </template>
        </svn-dialog-skeleton>
      </div>
    </div>

    <div
      class="flex flex-col gap-4 border-2 rounded-lg p-5 border-black"
      id="filter"
    >
      <p class="text-2xl border-black border-b-2 border-opacity-100"># Svn Modal Skeleton</p>

      <div class="flex gap-4 items-center">
        <svn-modal-skeleton>
          <template #content-body>
            <div class="p-4 flex flex-col gap-4">
              <v-text-field variant="outlined" hide-details />
              <v-text-field variant="outlined" hide-details />
              <v-text-field variant="outlined" hide-details />
              <v-text-field variant="outlined" hide-details />
              <v-text-field variant="outlined" hide-details />
              <v-text-field variant="outlined" hide-details />
              <v-text-field variant="outlined" hide-details />
              <v-text-field variant="outlined" hide-details />
              <v-text-field variant="outlined" hide-details />
              <v-text-field variant="outlined" hide-details />
              <v-text-field variant="outlined" hide-details />
              <v-text-field variant="outlined" hide-details />
              <v-text-field variant="outlined" hide-details />
              <v-text-field variant="outlined" hide-details />
              <v-text-field variant="outlined" hide-details />
              <v-text-field variant="outlined" hide-details />
              <v-text-field variant="outlined" hide-details />
              <v-text-field variant="outlined" hide-details />
              <v-text-field variant="outlined" hide-details />
              <v-text-field variant="outlined" hide-details />
              <v-text-field variant="outlined" hide-details />
            </div>
          </template>

          <template #bottom-content>
            <div class="p-4">
              <v-text-field variant="outlined" hide-details />
            </div>
          </template>
        </svn-modal-skeleton>
      </div>
    </div>
  </div>
</template>

<script setup>
import SvnDialogSkeleton from '../../components/skeleton/SvnDialogSkeleton.vue';
import SvnModalSkeleton from '../../components/skeleton/SvnModalSkeleton.vue';
</script>

<style scoped>

</style>